dpkg error: pycompile: not found

sudo apt-get remove --purge mysql-server mysql-client mysql-common I am getting the following error as I try to remove mysql using the above command: Reading package lists... Done Building...

'python' command segmentation fault on raspberry pi

My problem is fairly simple: running the 'python' command (not a script) on my raspberry pi model A+ running Raspbian Wheezy gives a segmentation fault: [email protected] ~ $ python Segmentation...

pyvenv not working because ensurepip is not available

I upgraded from ubuntu 14.04 to ubuntu 16.04 a few days ago. When I try to create a virtual env by using pyvenv .venv or python3 -m venv .venv There is an error: The virtual environment was...

deploy flask on apach using mod_wsgi

I'm trying to deploy Flask web app I built to be serve on Apache server. I'm using rasbian (Jessie) OS on rasberry pi 3 . the app running perfect on the flask built-in dev web server but...

standard_init_linux.go:178: exec user process caused "exec format error"

docker started throwing this error: standard_init_linux.go:178: exec user process caused "exec format error" whenever I run a specific docker container with CMD or ENTRYPOINT, with no regard to...

How to update-alternatives to Python 3 without breaking apt?

The other day I decided that I wanted the command python to default to firing up python3 instead of python2. So I did this: $ sudo update-alternatives --install /usr/bin/python python...

Error while installing python3 and pip3 in kali linux

I have use the following commands at the time of installation: tar -xvf python-3.3.0.tgz cd python-3.3.0 ./configure make sudo make altinstall sudo apt-get install...

Why does Buildozer show `# Aidl not found, please install it.` even after I installed it?

I have installed build-essential, libstdc++6,and, aidl itself: sudo apt-get install aidl Reading package lists... Done Building dependency tree Reading state information... Done The...

How to install textract in python3

sudo python3 -m pip install textract sudo apt-get install textract pip install textract sudo apt-get install swig I want to install textract in python3 but it is not install proper way, it gives...

How can I use rfcomm to connect to multiple android smartphones to my Raspberry Pi 3?

I am trying to connect my Raspberry Pi 3 to three android phones through Bluetooth. I want to use the input of the phones in a python code, but before I start coding I have to make sure I can...

How do i install python3 threading module in linux ubuntu

When i try to install to threading module in python3 that error occurs: Could not find a version that satisfies the requirement threading (from versions: ) No matching distribution found for...

Unable to install awscli on Ubuntu 16.04

I get this error consistently regardless of how I try to install the aws cli tool [email protected]:~/.aws$ /usr/bin/aws --version Traceback (most recent call last): File "/usr/bin/aws",...

How to create virtual environment for python 3.7.0?

I'm able to install it with root user but I wanted to install it in a clean environment. My use case is to test the installation of another application with pip for the customer who is using...

How to increase the maximum size of the AWS lambda deployment package (RequestEntityTooLargeException)?

I upload my lambda function sources from AWS codebuild. My Python script uses NLTK so it needs a lot of data. My .zip package is too big and an RequestEntityTooLargeException occurs. I want to...

Problem building docker with numpy and pandas over arm64

I'm trying to build a docker image with docker-compose in my ARM64 rasperry pi but it seems to be imposible. This is my dockerfile: FROM python:3.6-slim RUN apt-get update && apt-get -y install...

Can't start jupyter notebook on ubuntu 18.04.3 after installed it

I'm using python3 and I installed jupyter-notebook running: $ sudo apt install jupyter-notebook Now on start when I type "jupyter-notebook" I got the following error: Traceback (most recent call...

Importing Rosbag in Python 3

I'm trying to read rosbag files from Python 3. I installed ROS2 (Eloquent Elusor), which should support Python 3. When I run import rosbag bag = rosbag.Bag('test.bag') from Python 2.7, it...

python3.8-venv not working with python3.8 -m venv env

I want to create a venv having python3.8 as python3 On Ubuntu 18.04 I did: > sudo apt install python3.8 python3.8-venv Now, when I try: > python3.8 -m venv env The virtual environment was not...

How do I install pip for python 3.8 on Ubuntu without changing any defaults?

I'm trying to install pip for Python 3.8 on an Ubuntu 18.04 LTS. I know this has been asked way too many times. But those questions do not concern keeping Ubuntu's defaults specifically. And the...

Docker how to make python 3.8 as default

I'm trying to update an existing Dockerfile to switch from python3.5 to python3.8, previously it was creating a symlink for python3.5 and pip3 like this: RUN ln -s /usr/bin/pip3 /usr/bin/pip RUN...

How to install pip for Python 3.9 on Ubuntu 20.04

Ubuntu 20.04 comes with Python 3.8. I cannot uninstall Python 3.8 but I need Python 3.9 I went ahead and installed Python 3.9 from: sudo add-apt-repository ppa:deadsnakes/ppa sudo apt install...

Unable to install pip azure-cognitiveservices-speech within a docker container

Original Issue I'm unable to install azure-cognitiveservices-speech within a docker container using pip. My container is running fine and is able to install all other packages (django,...

Django command - django-admin command not working

i have tried to install django using below three command. Now when i execute the django-amdin command then its showing me below error. Even i cant see the django-admin --version. sudo apt install...

Azure cloud-init: Failed to install packages

I have a simple cloud-init file: #cloud-config package_upgrade: true packages: - symlinks - wget - rsync - git but it is failing for my Azure (log provided at the end). This is the first...

Pip can't install pyicu

I am running a AWS that runs Ubuntu 20.04. I am trying to install the package pyicu, but I am facing problems. I tried running sudo apt install libicu-dev, but I still can't install pyicu. I am...

Installing pynput results in ERROR: Command errored out with exit status 1

Im trying install pynput by using pip install pynput and output like this $ pip install pynput Collecting pynput Using cached pynput-1.7.3-py2.py3-none-any.whl (99 kB) Requirement already...

Pip is not working for Python 3.10 on Ubuntu

I am new to using Ubuntu and Linux in general. I just attempted to update Python by using sudo apt-get install python3.10. When I run python3.10 -m pip install <library name> I always receive the...

Wrong Python version running in Docker

No matter what I try, my Docker container is using Python 3.10 rather than what I need and specify, which is Python 3.7. How can I force Docker to use 3.7 for a specific image/container? I'm a...

headless chrome on docker M1 error - unable to discover open window in chrome

I'm currently trying to run headless chrome with selenium on m1 mac host / amd64 ubuntu container. Because arm ubuntu does not support google-chrome-stable package, I decided to use amd64 ubuntu...

FastAPI/Unvicorn request hanging during invocation of call_next (path operation function) in middleware

We have a machine learning model inside a docker container running on EC2. We use Cortex.dev to autoscale GPUs. Non-deterministically, requests will hang during the call_next function in the...